#include <iostream>
using namespace std;

void sort(int a[], int n) {
	int i = 0;
	while (i < n) {
		int j = i + 1, minIndex = i;
		while (j < n) {
			if (a[j] < a[minIndex]) {
				minIndex = j;
			}
			j = j + 1;
		}
		swap(a[i], a[minIndex]);
		i = i + 1;
	}
}

/*
Инварианта на вътрешния цикъл:
При всяко достигане на 8-ми ред е вярно, че:
а[minIndex] = min(a[i], ..., a[j-1]) и 
* Масива от A[0...i-1] е сортиран
* елеменитите на този подмасив са тези, с които започнахме.
* всеки от елементите на подмасива А[i...n-1] е по-голям или равен на всеки елемент на А[0...i-1]


База:
a[i] = min(a[i], ..., a[i+1-1]) = min(a[i], ..., a[i]) вярно

Поддръжка:
Ако a[j] < а[minIndex]
Тогава minIndex' = j
иначе 
minIndex' = minIndex
j' = j + 1 

Терминация:
j = n
a[minIndex] = in(a[i], ..., a[n - 1])




Инварианта за външния цикъл:
При всяко достигане на 6-ти ред е вярно, че:
* Масива от A[0...i-1] е сортиран
* елеменитите на този подмасив са тези, с които започнахме.
* всеки от елементите на подмасива А[i...n-1] е по-голям или равен на всеки елемент на А[0...i-1]

Понеже
A[0...i-1] е сортиран и A[i] е най-малкият елемент от A[i...n-1]
=> A[0...i] е сортиран.
A[i+1...n-1]

1 3 4 2



*/



int main() {
	int n, a[100];
	cin >> n;
	for (int i = 0; i < n; i ++) {
		cin >> a[i];
	}

	sort(a, n);

	for (int i = 0; i < n; i ++) {
		cout << a[i] << " ";
	}
	cout << "\n";
	return 0;
}
